# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
  source "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
fi

# Pfad zur Oh-My-Zsh-Installation
export ZSH="/usr/share/oh-my-zsh"

# Kein Theme über ZSH_THEME
ZSH_THEME=""

# Plugins
plugins=(git sudo)

# Starte Oh-My-Zsh
source $ZSH/oh-my-zsh.sh

# Lade Powerlevel10k direkt
source ~/.zsh/powerlevel10k/powerlevel10k.zsh-theme

# Optional: Konfiguration laden
[[ -f ~/.p10k.zsh ]] && source ~/.p10k.zsh

# Pywal Farben
[[ -f "$HOME/.cache/wal/colors.sh" ]] && source "$HOME/.cache/wal/colors.sh"

# Aliases
alias ll="ls -lah"
alias gs="git status"
alias dpl="~/Dotfiles/deploy.sh"

typeset -g POWERLEVEL9K_INSTANT_PROMPT=quiet

if command -v fastfetch &>/dev/null; then
  command fastfetch
fi

